## org.exist.atom.modules
Class Query

    java.lang.Object
      org.exist.atom.modules.AtomModuleBase
          org.exist.atom.modules.Query

All Implemented Interfaces:
  Atom, AtomModule

public class Query
extends AtomModuleBase
implements Atom

Author:
  R. Alexander Milowski

Nested Class Summary
`class` `Query.MethodConfiguration`

Nested classes inherited from class org.exist.atom.AtomModule
`AtomModule.Context`

Field Summary

Fields inherited from interface org.exist.atom.Atom
`ENTRY, FEED, MIME_TYPE, NAMESPACE, NAMESPACE_STRING, PUBLISHED, SUMMARY, TITLE, UPDATED`

Constructor Summary
`Query()` Creates a new instance of AtomProtocol

Method Summary
`void` `doDelete(DBBroker broker, IncomingMessage request, OutgoingMessage response)`
`void` `doGet(DBBroker broker, IncomingMessage request, OutgoingMessage response)`
`void` `doHead(DBBroker broker, IncomingMessage request, OutgoingMessage response)`
`void` `doPost(DBBroker broker, IncomingMessage request, OutgoingMessage response)`
`void` `doPut(DBBroker broker, IncomingMessage request, OutgoingMessage response)`
`void` `doQuery(DBBroker broker, IncomingMessage request, OutgoingMessage response, Query.MethodConfiguration config)`
`Query.MethodConfiguration` `getMethodConfiguration(java.lang.String name)`
`void` `init(AtomModule.Context context)`
`boolean` `isQueryByPostAllowed()`
`void` `setQueryByPost(boolean allowed)`

Methods inherited from class org.exist.atom.modules.AtomModuleBase
`process`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Query

    public Query()

  Creates a new instance of AtomProtocol

Method Detail

### getMethodConfiguration

    public Query.MethodConfiguration getMethodConfiguration(java.lang.String name)

### init

    public void init(AtomModule.Context context)
              throws EXistException

  Specified by:
    `init` in interface `AtomModule`
  Overrides:
    `init` in class `AtomModuleBase`
  Throws:
    `EXistException`

### doGet

    public void doGet(DBBroker broker,
                      IncomingMessage request,
                      OutgoingMessage response)
               throws BadRequestException,
                      PermissionDeniedException,
                      NotFoundException,
                      EXistException

  Overrides:
    `doGet` in class `AtomModuleBase`
  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### doPut

    public void doPut(DBBroker broker,
                      IncomingMessage request,
                      OutgoingMessage response)
               throws BadRequestException,
                      PermissionDeniedException,
                      NotFoundException,
                      EXistException

  Overrides:
    `doPut` in class `AtomModuleBase`
  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### doDelete

    public void doDelete(DBBroker broker,
                         IncomingMessage request,
                         OutgoingMessage response)
                  throws BadRequestException,
                         PermissionDeniedException,
                         NotFoundException,
                         EXistException

  Overrides:
    `doDelete` in class `AtomModuleBase`
  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### doHead

    public void doHead(DBBroker broker,
                       IncomingMessage request,
                       OutgoingMessage response)
                throws BadRequestException,
                       PermissionDeniedException,
                       NotFoundException,
                       EXistException

  Overrides:
    `doHead` in class `AtomModuleBase`
  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### doPost

    public void doPost(DBBroker broker,
                       IncomingMessage request,
                       OutgoingMessage response)
                throws BadRequestException,
                       PermissionDeniedException,
                       NotFoundException,
                       EXistException

  Overrides:
    `doPost` in class `AtomModuleBase`
  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### doQuery

    public void doQuery(DBBroker broker,
                        IncomingMessage request,
                        OutgoingMessage response,
                        Query.MethodConfiguration config)
                 throws BadRequestException,
                        PermissionDeniedException,
                        NotFoundException,
                        EXistException

  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### isQueryByPostAllowed

    public boolean isQueryByPostAllowed()

### setQueryByPost

    public void setQueryByPost(boolean allowed)

Copyright (C) Wolfgang Meier. All rights reserved.